## ros-one-ffha 2.1.31-19jammy.20251023.0741

=== debian/changelog ===
ros-one-ffha (2.1.31-19jammy.20251023.0741) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 07:41:38 +0000

ros-one-ffha (2.1.31-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-ffha (2.1.30-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-ffha (2.1.29-0jammy) jammy; urgency=high

  * Support ros-o / Ubuntu 22.04 (#512 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/512>)
    
      * [ffha] relax linker. allow function duplication
    
  * Contributors: Yoshiki Obinata

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-ffha (2.1.28-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-ffha (2.1.27-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-ffha (2.1.26-0jammy) jammy; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-ffha (2.1.25-0jammy) jammy; urgency=high

  * fix catkin build stacks in GA (#316 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/316>)
    
      * [ffha] remove compile warning
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-ffha (2.1.24-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-ffha (2.1.23-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-ffha (2.1.22-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-ffha (2.1.21-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-ffha (2.1.20-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-ffha (2.1.19-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-ffha (2.1.18-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-ffha (2.1.17-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-ffha (2.1.16-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-ffha (2.1.15-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-ffha (2.1.14-0jammy) jammy; urgency=high

  * add website to package.xml (#175 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/175>), closes #174 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/174>
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-ffha (2.1.13-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-ffha (2.1.12-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-ffha (2.1.11-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-ffha (2.1.10-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-ffha (2.1.9-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-ffha (2.1.8-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-ffha (2.1.7-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-ffha (2.1.6-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-one-ffha (2.1.5-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-ffha (2.1.4-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-one-ffha (2.1.3-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-ffha (2.1.2-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-one-ffha (2.1.1-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-one-ffha (2.1.0-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-one-ffha (2.0.20-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-one-ffha (2.0.19-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-ffha (2.0.18-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-ffha (2.0.17-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 22 Oct 2016 00:00:00 -0000

ros-one-ffha (2.0.16-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 17 Oct 2016 00:00:00 -0000

ros-one-ffha (2.0.15-0jammy) jammy; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 16 Oct 2016 00:00:00 -0000



## ros-one-ffha 2.1.31-19noble.20251023.0746

=== Makefile ===
all: installed
# ff
FILENAME = seq-sat-ffha.tar.bz2
TARBALL = build/$(FILENAME)
TARBALL_URL = http://github.com/jsk-ros-pkg/archives/raw/master/$(FILENAME)
SOURCE_DIR = build/seq-sat-ffha
UNPACK_CMD = tar jxf
MD5SUM_DIR = $(CURDIR)
MD5SUM_FILE = $(MD5SUM_DIR)/$(FILENAME).md5sum
include $(shell rospack find mk)/download_unpack_build.mk

PATCH_DIR  =  $(CURDIR)
PATCH =
INSTALL_DIR = `rospack find ffha`
MAKE = make
#MAKE_ARGS = ADDONS=-DYY_SKIP_YYWRAP

$(SOURCE_DIR)/patched:$(SOURCE_DIR)/unpacked
	rm -f $(SOURCE_DIR)/ffha
	patch --forward -p0 $(SOURCE_DIR)/inst_pre.c < ${PATCH_DIR}/inst_pre.c.patch
	patch --forward -p0 $(SOURCE_DIR)/parse.c < ${PATCH_DIR}/parse.c.patch
	touch $(SOURCE_DIR)/patched

installed:$(SOURCE_DIR)/patched
	(cd $(SOURCE_DIR) && $(MAKE) clean && $(MAKE) CFLAGS='-O6 -g -ansi -Wno-array-bounds -Wno-endif-labels -Wno-format-overflow -Wno-implicit-function-declaration -Wno-int-in-bool-context -Wno-unused-function -Wno-unused-variable -fno-builtin-strncpy -fno-builtin-strcpy  -fno-builtin-strlen -fno-builtin-strcat -fno-builtin-memset -fcommon ' $(MAKE_ARGS))
	mkdir -p bin
	cp $(SOURCE_DIR)/ffha bin/
	touch installed

clean:
	rm -rf build
	rm -rf bin
	rm -rf installed

wiped: Makefile	make wipe
	touch wiped

wipe: 	clean
	touch wiped

=== debian/changelog ===
ros-one-ffha (2.1.31-19noble.20251023.0746) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 07:46:37 +0000

ros-one-ffha (2.1.31-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-ffha (2.1.30-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-ffha (2.1.29-0noble) noble; urgency=high

  * Support ros-o / Ubuntu 22.04 (#512 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/512>)
    
      * [ffha] relax linker. allow function duplication
    
  * Contributors: Yoshiki Obinata

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-ffha (2.1.28-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-ffha (2.1.27-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-ffha (2.1.26-0noble) noble; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-ffha (2.1.25-0noble) noble; urgency=high

  * fix catkin build stacks in GA (#316 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/316>)
    
      * [ffha] remove compile warning
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-ffha (2.1.24-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-ffha (2.1.23-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-ffha (2.1.22-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-ffha (2.1.21-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-ffha (2.1.20-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-ffha (2.1.19-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-ffha (2.1.18-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-ffha (2.1.17-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-ffha (2.1.16-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-ffha (2.1.15-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-ffha (2.1.14-0noble) noble; urgency=high

  * add website to package.xml (#175 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/175>), closes #174 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/174>
  * Contributors: Kei Okada

 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-ffha (2.1.13-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-ffha (2.1.12-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-one-ffha (2.1.11-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-ffha (2.1.10-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-ffha (2.1.9-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-ffha (2.1.8-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-ffha (2.1.7-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-ffha (2.1.6-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-one-ffha (2.1.5-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-ffha (2.1.4-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-one-ffha (2.1.3-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-ffha (2.1.2-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-one-ffha (2.1.1-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-one-ffha (2.1.0-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-one-ffha (2.0.20-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-one-ffha (2.0.19-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-ffha (2.0.18-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-ffha (2.0.17-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 22 Oct 2016 00:00:00 -0000

ros-one-ffha (2.0.16-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 17 Oct 2016 00:00:00 -0000

ros-one-ffha (2.0.15-0noble) noble; urgency=high



 -- Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 16 Oct 2016 00:00:00 -0000



=== debian/control ===
Source: ros-one-ffha
Section: misc
Priority: optional
Maintainer: Yohei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), bison, flex, gawk, ros-one-catkin, ros-one-mk, ros-one-rosbuild, ros-one-roslib, ros-one-rospack
Homepage: http://ros.org/wiki/ffha
Standards-Version: 3.9.2

Package: ros-one-ffha
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: ffha: PDDL Planner (http://ipc.informatik.uni-freiburg.de)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ffha//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
